'use strict';

const gulp = require('gulp');
const imagemin = require('gulp-imagemin');
const config       = require('../config');



gulp.task('img-compile', () => {
    compileCss(`src/img/**.${config.imagesExtension}`, './www/assets/img/');
});

/**
 * Watcher CSS task.
 * Watch for changes in css-preprocessor files and compile them.
 */
gulp.task('img-watch', () => {
    gulp.watch(`src/img/**/*.${config.imagesExtension}`, ['img-compile']);
});


gulp.task('img-compile', () =>
    gulp.src('src/img/*')
        .pipe(imagemin([
            imagemin.gifsicle({interlaced: true}),
            imagemin.jpegtran({progressive: true}),
            imagemin.optipng({optimizationLevel: 7}),
            imagemin.svgo({
                plugins: [
                    {removeViewBox: true},
                    {cleanupIDs: false}
                ]
            })
        ]))
        .pipe(gulp.dest('./www/assets/img'))
);

